/*
	Copyright (c) 2001 John C. Bowman (USB support)

	You may distribute and/or use for any purpose modified or unmodified
	copies of this software if you preserve the copyright notice above.

	THIS SOFTWARE IS PROVIDED AS IS AND COME WITH NO WARRANTY OF ANY
	KIND, EITHER EXPRESSED OR IMPLIED.  IN NO EVENT WILL THE
	COPYRIGHT HOLDER BE LIABLE FOR ANY DAMAGES RESULTING FROM THE
	USE OF THIS SOFTWARE.
*/

#ifndef _EPH_SIERRA_H
#define _EPH_SIERRA_H

#include <stdio.h>
#include "eph_io.h"

extern int use_bulk_usb;
extern int use_usb;

#ifdef MSWINDOWS
#include <windows.h>
void eph_win_reset_usb(HANDLE fd);
typedef HANDLE usb_dev_handle;
#else

#ifdef HAVE_USB_H
#include <usb.h>
#else
typedef void usb_dev_handle;
#endif

#endif

usb_dev_handle *usbfd;
extern int suppress_init_errors;

struct usb_device *eph_init_usb(eph_iob *iob);
struct usb_device *eph_find_usb_device(eph_iob *iob);
int eph_open_usb(eph_iob *iob);
int eph_write_usb(usb_dev_handle *dev, char *buf, int size, int timeout);
int eph_read_usb(usb_dev_handle *dev, char *buf, int size, int timeout);

#define USB_TIMEOUT       1000L /* 1s */
#define BLOCK_SIZE	  32768

#endif
